For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a draft receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a draft receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)

Delete a draft receivable

DELETE
/receivables/:receivable_id
DELETE
/v1/receivables/:receivable_id
$curl -X DELETE https://api.sandbox.monite.com/v1/receivables/receivable_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
You can delete only draft invoices, quotes, and credit notes. Once issued, documents cannot be deleted. To void an issued invoice, you can instead [cancel it](https://docs.monite.com/api/receivables/post-receivables-id-cancel) or mark an overdue invoice as [uncollectible](https://docs.monite.com/api/receivables/post-receivables-id-mark-as-uncollectible). To void an issued quote, you can [mark it as declined](https://docs.monite.com/api/receivables/post-receivables-id-decline).
Was this page helpful?
Previous

Get required field names for invoice creation

Next
Built with

You can delete only draft invoices, quotes, and credit notes. Once issued, documents cannot be deleted.

To void an issued invoice, you can instead cancel it or mark an overdue invoice as uncollectible.

To void an issued quote, you can mark it as declined.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired

ID of an existing invoice, quote, or credit note that you want to delete. This document must have the draft status.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

400
Delete Receivables ID Request Bad Request Error
401
Delete Receivables ID Request Unauthorized Error
403
Delete Receivables ID Request Forbidden Error
404
Delete Receivables ID Request Not Found Error
409
Delete Receivables ID Request Conflict Error
422
Delete Receivables ID Request Unprocessable Entity Error
429
Delete Receivables ID Request Too Many Requests Error